## git-buildpackage 0.3.2

=== debian/changelog ===
git-buildpackage (0.3.2) unstable; urgency=low

  * git-import-orig: allow to import into an empy git repository
  * docs: we don't use git_load_dirs internally anymore 
  * docs: howto start a package from scratch

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 27 Jun 2007 04:06:33 +0300

git-buildpackage (0.3.1) unstable; urgency=low

  * don't fail imports on large archives 
  * print a sensible error message, when a git repository isn't a debian
    source package

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 11 Jun 2007 18:06:15 +0200

git-buildpackage (0.3.0) unstable; urgency=low

  * don't use git_load_dirs for imports, this addresses:
      * upstream directory removal (#423363)
      * empty dirs and files not under version control (#409606)
      * filtering out of files (Closes: #425986)
      * importing of an empty .diff.gz (like libx86 0.99-1.2)
  * doc: remove stray ';' from special.sgml. Thanks to Loïc Minier
  * doc: gbp.conf is per working copy, not per repository

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 28 May 2007 03:19:32 +0200

git-buildpackage (0.2.31) unstable; urgency=low

  * git-import-orig: rename --upstreamversion to --upstream-version, to match
    the documentation and the other --upstream-* options
  * add several missing options to manpages and documentation

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 24 May 2007 09:38:35 +0200

git-buildpackage (0.2.30) unstable; urgency=low

  * fix changelog upstream version parsing (Closes: #425615)
  * git-import-orig: allow to import from an unpacked source tree

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 24 May 2007 06:19:06 +0200

git-buildpackage (0.2.29) unstable; urgency=low

  * git-import-orig: more specific error message, when the merge merge fails
    (Closes: #424036)

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 15 May 2007 23:55:07 +0200

git-buildpackage (0.2.28) unstable; urgency=low

  * git-import-orig: support import of tar.bz2 (Closes: #423254)
  * type fixes by Aurélien GÉRÔME. Thanks! (Closes: #422171)

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 13 May 2007 14:13:00 +0200

git-buildpackage (0.2.27) unstable; urgency=low

  * git_load_dirs now supports --summary, use this for nicer import messages
  * bump versioned dependency on git-load-dirs therefore
  * improve tagging messages

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 12 Apr 2007 18:25:40 +0200

git-buildpackage (0.2.26) unstable; urgency=low

  * use GbpError everywhere
  * move commands into a submodule
  * git-import-orig: pass --verbose on to git_load_dirs
  * use default python version in setup.py
  * depend on a git that has the "removed files left in working copy after
    merge" bug (#410325)
  * adjust to new output of git-status in git 1.5

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 27 Feb 2007 19:11:06 +0100

git-buildpackage (0.2.25) unstable; urgency=low

  * posttag support for git-buildpackage: use --git-posttag to run a command
    after a successfull build and tag (e.g. --git-posttag='git-push --tags
    git.alioth.org')
  * repositories that weren't created by git-import-dsc and never had the
    upstream sources as a single commit (let alone an upstream branch) can be
    made git-import-orig compatible by using git's grafts - mention this in
    the manual. This (Closes: #403988) since with this every git repo can use
    git-import-orig (with some preparation).
  * Allow to specify the tag format. The format of generated tags can now be
    specified via the debian-tag and upsteam-tag options. The default now puts
    debian tags and upstream tags into different namespaces (Closes: #408990).
  * add example for pbuilder

 -- Guido Guenther <agx@sigxcpu.org>  Fri,  2 Feb 2007 16:26:52 +0100

git-buildpackage (0.2.24) unstable; urgency=low

  * add XS-Vcs-Git
  * fix error message in case the upstream branch doesn't exist

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 13 Jan 2007 22:05:23 +0100

git-buildpackage (0.2.23) unstable; urgency=low

  * depend on gtk-doc-tools, sgml2x and jade (Closes: #404673)
  * use docbook-utils insted of docbook-to-man
  * docbook updates

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 29 Dec 2006 18:18:50 +0100

git-buildpackage (0.2.22) unstable; urgency=low

  * git-buildpackage: check if upstream branch exists
  * git-import-dsc: improve error handling
  * add GitRepository class
  * make pylint a bit happier
  * update manpages

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 26 Dec 2006 00:27:44 +0100

git-buildpackage (0.2.21) unstable; urgency=low

  * While dpkg-buildpackage's -i argument takes a regexp -I doesn't - fix
    inclusion of git metadata in debian native packages

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 22 Dec 2006 17:59:49 +0100

git-buildpackage (0.2.20) unstable; urgency=low

  * git-import-orig: improve error message when the upstream branch cannot be
    found. We cannot create the branch automatically since on repositories
    not created by git-import-dsc it's not clear where to branch from.
    (Closes: #403990)
  * remove pointless patch arguments from most of the git helper functions
  * add some more documentation

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 22 Dec 2006 17:30:11 +0100

git-buildpackage (0.2.19) unstable; urgency=low

  * git-buildpackage: add an option (--git-cleaner) that allows to specify
    a different clean command (Closes: #403987)
  * depend on a git-core that has git-archive
  * s/keyid/GPG keyid/
  * minor fixes all over the place

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 21 Dec 2006 15:18:40 +0100

git-buildpackage (0.2.18) experimental; urgency=low

  * git-buildpackage: detect the branch we're on and bail out if it's not the
    debian branch 
  * doc updates

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 10 Dec 2006 14:57:35 +0100

git-buildpackage (0.2.17) experimental; urgency=low

  * fix wrong default debian branch
  * git-buildpackage: fix typo in git-ignore-new

 -- Guido Guenther <agx@sigxcpu.org>  Sat,  9 Dec 2006 13:22:33 +0100


