=== debian/control ===
Source: git-buildpackage
Section: devel
Priority: optional
Maintainer: Guido Guenther <agx@sigxcpu.org>
Build-Depends: cdbs, debhelper (>= 5), python-dev, python-support (>= 0.3),
 pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade
Standards-Version: 3.7.2
XS-Vcs-Git: http://honk.sigxcpu.org/git/git-buildpackage.git/

Package: git-buildpackage
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts,
 git-core (>= 1:1.5.0.1-1)
Suggests: git-load-dirs
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * git-import-dsc: import an existing Debian source package into a git
    repository
  * git-import-orig: import a new upstream version into the git repository
  * git-buildpackage: build a package out of a git repository, check for local
    modifications and tag appropriately
