=== debian/rules ===
#!/usr/bin/make -f
  
DEB_PYTHON_SYSTEM = pysupport
DEB_PYTHON_CLEAN_ARGS = --all

# Add here any variable or target overrides you need
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

COMMANDS=git-buildpackage git-import-dsc git-import-orig
MANPAGES=$(patsubst %,docs/%.1,$(COMMANDS))
MANUAL=docs/manual-html
PYCHECKS=$(patsubst %,%.py,$(COMMANDS))
PYCHECK_LEVEL=Error

docs/%.1: docs/man.%.sgml
	docbook2man -o docs/ $<

$(MANUAL): docs/manual.sgml docs/chapters/*.sgml docs/manpages/*.sgml
	docbook-2-html -s gtk $<

%.py: %
	ln -s $< $@
	PYTHONPATH=. pychecker -e $(PYCHECK_LEVEL) -q $<

build/git-buildpackage:: $(MANPAGES) $(MANUAL) $(PYCHECKS)

clean::
	-rm git-*.py
	-rm docs/*.1 docs/manpage.*
	-rm -r docs/manual-html/
