## git-buildpackage 0.4.34~bpo40+1

=== debian/changelog ===
git-buildpackage (0.4.34~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 02 Aug 2008 15:49:24 +0200

git-buildpackage (0.4.34) unstable; urgency=low

  * [4ac0aa8] git-buildpackage: always symlink orig.tar.gz from tarball dir
    (Closes: 490706)
  * [fb94fea] git-buildpackage: print default export-dir on --help
  * [ffeb40e] git-dch: escape backticks (`) (Closes: 491104)
  * [4e398cc] git-dch: --auto and --since are incompatible
  * [3537f24] git-dch: use option groups
  * [18d8405] git-dch: split git-log options into a list (Closes: #479267)
  * [044083f] docs: readd list import line (Closes: #488120)

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 22 Jul 2008 00:29:49 -0230

git-buildpackage (0.4.33~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.
  * [5db3d28] disable git-import-dscs since it uses a python 2.5
    construct

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 02 Aug 2008 13:45:37 +0200

git-buildpackage (0.4.22~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 09 Apr 2008 19:58:04 +0200

git-buildpackage (0.4.20~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 19 Mar 2008 08:32:58 +0100

git-buildpackage (0.4.13~bpo40+1) etch-backports; urgency=low

  * Rebuild for Etch backports.

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 10 Jan 2008 15:50:45 +0100

git-buildpackage (0.4.9~bpo.1) etch-backports; urgency=low

  * Rebuild for Etch backports.

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 08 Dec 2007 01:17:03 +0100

git-buildpackage (0.4.5~bpo.1) etch-backports; urgency=low

  * etch backport 

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 03 Nov 2007 20:27:00 +0100

git-buildpackage (0.3.2~bpo.1) etch-backports; urgency=low

  * etch backport 

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 27 Jun 2007 12:22:09 -0400
