=== debian/control ===
Source: git-buildpackage
Section: devel
Priority: optional
Maintainer: Guido Guenther <agx@sigxcpu.org>
Build-Depends: cdbs, debhelper (>= 5), python-dev, python-support (>= 0.3),
 pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil
Standards-Version: 3.8.0
Vcs-Git: http://honk.sigxcpu.org/git/git-buildpackage.git/
Homepage: http://honk.sigxcpu.org/projects.html#git-buildpackage

Package: git-buildpackage
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.26),
 git-core (>= 1:1.5.0.1-1), python-dateutil
Suggests: git-load-dirs, pristine-tar (>= 0.5)
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * git-import-{dsc,dscs}: import existing Debian source packages into a git
    repository
  * git-import-orig: import a new upstream version into the git repository
  * git-buildpackage: build a package out of a git repository, check for local
    modifications and tag appropriately
  * git-dch: generate Debian changelog entries from Git commit messages
