## git-buildpackage 0.4.43

=== debian/changelog ===
git-buildpackage (0.4.43) unstable; urgency=low

  * [8b8c137] gather all invocations of dch in one function - fixes dch
    failures due to missing quotes introduced by [7f24b98]
  * [a328fa2] fix off by one introduced by not counting first_commit
    when creating a new header in [7f24b98]

 -- Guido Günther <agx@sigxcpu.org>  Fri, 14 Nov 2008 14:12:04 +0100

git-buildpackage (0.4.42) unstable; urgency=low

  [ Guido Günther ]
  * [b5e8691] debian/control: fix maintainer
  * [ee9e51d] doc: mention cl2vcs
  * [a0c03e1] doc: fix typo
  * [0314acc] git-buildpacakge: use option groups
  * [2d44dad] git-dch: merge sha and snapshot parameter

  [ Felipe Sateler ]
  * [7f24b98] git-dch: Don't include first UNRELEASED line - There's not much
    point in keeping this line when either doing a release or when having a
    snapshot header (nor does it help much if one invokes git-dch without
    options). (Closes: #505400)

  [ Guido Günther ]
  * [a6f5472] git-import-orig: Don't fail on symlink creation (Closes: #502565)
  * [b7f8efd] git-dch: add missing call to escape_commit

 -- Guido Günther <agx@sigxcpu.org>  Thu, 13 Nov 2008 17:08:52 +0100

git-buildpackage (0.4.41) unstable; urgency=low

  * [8b15994] allow for another config file $REPO/debian/gbp.conf
    (Closes: #502253)
  * [1ef4e04] add repo.set_branch() to switch branches
  * [d4d4580] use repo.set_branch()
  * [245d5f1] add GbpNothingImported exception
  * [c410c0b] switch back to original branch on empty imports 
    (Closes: #504029, #504072)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 31 Oct 2008 10:28:47 +0100

git-buildpackage (0.4.40) unstable; urgency=low

  [ Guido Guenther ]
  * [d87e2ab] fix typo (Closes: #500167) - thanks to Aleksej R.  Serdyukov
  * [632c9b4] gbp.git_utils.GitRepository: make indentation more consistent
  * [b1a2847] adjust is_clean for git 1.6 (Closes: #500238)
  * [3332982] gbp.deb_utils.symlink_orig: remove superflous printout
  * [fb6187f] silence parse_dsc and move sanity checks into DscFile

  [ Kurt B. Kaiser ]
  * [bbd9946] Force tarball symlink on second export to build-area
    (Closes: #500498)

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 02 Oct 2008 12:26:56 +0200

git-buildpackage (0.4.39) unstable; urgency=low

  [ Kurt B. Kaiser ]
  * [ac30b9b] Don't buffer stdout; let git-bp messages print in-line
    (Closes: #479846)

  [ Guido Guenther ]
  * [4da9954] git-import-dscs: likewise
  * [2162ead] git-dch: demangle adding commits and sections
  * [af70d4d] git-dch: improve wording
  * [bbf5020] git-dch: more option grouping
  * [3931f70] git-import-orig: print version number on failed imports
  * [745fbf6] git-import-dsc: merge by default when importing into an existing archive
    (Closes: #475571)
  * [631c347] git-import-dsc.sgml: document --no-merge
  * [2f46ba4] gbp: Don't honor .gitignore during replace_source_tree 
    (Closes: #467504)
  * [624bdc9] gbp: move replace_source_tree into GitRepository
  * [519901e] gbp: add find_tag(branch)

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 22 Sep 2008 20:55:07 +0200

git-buildpackage (0.4.38) unstable; urgency=low

  * [1623560] "git-commond" vs. "git command" cleanup (Closes: #497335)
  * [0a34c3b] add --new-version
  * [2a17687] document --new-version
  * [fc67ac2] document short options and snapshot mode

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 08 Sep 2008 18:48:58 +0200

git-buildpackage (0.4.37) unstable; urgency=low

  * [d1ea39d] allow setting the bug-closing meta tag to look for this
    way we can generate bug-closing entries for different BTSs such as
    Debian or Launchpad.
  * [0376265] document meta-closes
  * [4da3586] fix commit order of GitRepository.commits() - we request
    since..until but got until..since. This makes the order of changelog
    entries generated by git-dch the same order as if git-dch would be
    called individually for each commit.

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 30 Aug 2008 14:20:11 +0200

git-buildpackage (0.4.36) unstable; urgency=low

  * [64808df] Warn if we can't parse the changelog - without a changelog we
    can't parse the package name. Without that we might end up with wrong
    names on the pristine tar branch and with missing symlinks in tarball-dir.
    Since this might be intentional we issue a warning only.
  * [32b2e89] detect flat tar archives in git-import-dsc too
  * [277581c] don't fail import on non rfc822 adressess in the dsc file
    (Closes: #494753)

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 12 Aug 2008 19:31:26 +0200

git-buildpackage (0.4.35) unstable; urgency=low

  * [e012d8b] add epoch parsing to DscFile (Closes: #493214)

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 01 Aug 2008 19:32:01 +0200
