## git-buildpackage 0.4.45

=== debian/changelog ===
git-buildpackage (0.4.45) unstable; urgency=low

  [ Robie Basak ]
  * [6f4af4a] Use name and email from git (Closes: #509867)

  [ Guido Günther ]
  * [b097286] document --no-sign-tags
  * [6fe5985] add --no-git-author
  * [7c2034c] add --no-sign-tags to git-import-{dsc,orig} too 
    (Closes: #508889)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jan 2009 20:11:16 +0100

git-buildpackage (0.4.44) unstable; urgency=low

  * [c54e6dc] help option cleanup (Closes: #505787)
  * [45541fe] don't require bugnumbers to start with '#' - use the regex
    from Debian policy instead
  * [77a875c] move common help messages into config.py
  * [9223997] allow to import into empty repositories this makes git-
    import-dsc's behaviour finally consistent with git-import-orig
    (Closes: #500458, #504075)
  * [aacd04a] require python 2.5
  * [54b9a3e] better descriptions
  * [e806326] add --no-sign-tags (Closes: #508889)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Dec 2008 00:29:43 +0100
