## git-buildpackage 0.4.57

=== debian/changelog ===
git-buildpackage (0.4.57) unstable; urgency=low

  * new tools:
      * [13316be] Add gbp-clone to examples. Using this to clone
        repositories will automatically track the remote branches used by
        gbp. Addresses parts of #540185.
  * git-dch:
      * [d42ed40] Trim commit display.
      * [a335e04] Catch gbp.deb.NoChangelogError.
      * [98a9b88] Add changelog section if current topmost version is already
        tagged. This makes sure we add a new changelog section after a
        release. This was broken due to 016318.
  * git-import-orig:
       * [dcbe091] Use option groups for nicer --help output
       * [ee6c238] Add postimport hook for git-import-orig Allows to run git-
         dch after import. Drop the dch invocation and warn when --no-dch gets
         passed on the commandline. (Closes: #520355)
       * [aecb9b4] NEWS: --no-dch is no more (Closes: #540750)
  * git-import-dsc:
       * [dcbe091] Use option groups for nicer --help output
  * packaging:
      * [4f82dfb] Honor DEB_BUILD_OPTIONS=nocheck
      * [29cacc0] Run doctests with nose
      * [1f8abec] Bump standards version
      * [c84fd78] TODO list maintained in the wiki
  * gbp module:
      * [715d42a] Drop superfluous _utils from module names
      * [46d6c1b] Make sanitize_version a private function
      * [75eedb8] Add doctest for __sanitize_version() and build_tag()
      * [4cd72bc] Add doctest for Command.__call__()
      * [a4fd8eb] Add doctest for Command.call() and fix error in exception
        handling revealed by the test.
      * [edfe670] Add GitClone
      * [2663f23] Make GitBranch remote branch aware
      * [838b3f4] Make has_branch aware of remote branches
  * tests:
      * [6cbbddf] Add unit test for --help
      * [52d9b5a] Fix testcase name
  * [e4abaad] document changes so far

 -- Guido Günther <agx@sigxcpu.org>  Sat, 05 Sep 2009 16:06:11 +0200

git-buildpackage (0.4.56) unstable; urgency=low

  * [d6dae62] depend on devscripts >= 2.10.49 for --no-force-save-on-release
    in dch.  (Closes: #541420)
  * [080b1eb] make parameters for GitRepository.commits() optional
  * [016318e] git-dch: use the last commit in which debian/changelog was
    touched as starting point if no snapshot header was found. This can still
    be overriden by using --since. Based on a patch by Felipe Sateler. 
    (Closes: #511269)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Aug 2009 19:24:23 +0200

git-buildpackage (0.4.55) unstable; urgency=low

  [ Guido Günther ]
  * [651f723] fix release
  * [e1bdfdb] update Homepage:
  * [8ea4747] add gbp-pq to examples (Closes: #537212)
  * [bedacee] check for correct overlay usage
  * [849c801] bump standards version
  * [f636022] add --no-force-save-on-release so dch saves the changlog
    even when there are no changes so we don't end up with UNRELEASED
    when passing -R.

  [ أحمد المحمودي ]
  * [14915d9] make tar_toplevel safer
  * [b86ddcc] add --git-overlay option (Closes: #411206)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 30 Jul 2009 11:27:17 +0200

git-buildpackage (0.4.54) unstable; urgency=low

  [ Damyan Ivanov ]
  * [b577f01] Unconfuse git-dch when commit message starts with "--"
    (Closes: #531985)

  [ Guido Günther ]
  * [55a89e1] allow for uppercase characters in the version pattern and
    in the package name if it's not a debian source package's name. Also
    allow for ':' and '~' which are allowed accoring to Debian Policy.
    Based on a patch by Felipe Sateler. (Closes: #531819)
  * [882f971] check for snapshot mode when checking if we need to add a
    new section. (Closes: #532583) - thanks to Ove Kaaven for sorting
    this out
  * [f80ee2e] fix one digit version numbers
  * [5edecd9] + is a valid character in version numbers

  [ Mehdi Dogguy ]
  * [7de9f12] add filter-pristine-tar to filter upstream tarball before
    passing it to pristine-tar (Closes: #520722)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Jul 2009 16:16:41 +0200

git-buildpackage (0.4.53) unstable; urgency=low

  * [b772300] pass --pretty=medium to git show (Closes: #525969)
  * [5ed3078] add commit argument to GitTag
  * [129b3c4] add get_author_email that parses git config and
              environment
  * [9ed19e7] add --fast-import. This uses git-fast-import to import the
              upstream tarball, speeds up imports of upstream tarballs by a
              factor of two. This options is experimental and will become the
              default once it got more testing. (Closes: #449075)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 May 2009 18:35:52 +0200

git-buildpackage (0.4.52) unstable; urgency=low

  * [a2e42cd] move to section vcs
  * [2892e7f] document postbuild hook
  * [66f1027] promote pristine-tar to Recommends:
  * [54b9da0] fix missing argument in error message
  * [3e4b08e] restore default signal handlers before subprocess.call, python
              changes them to SIG_IGN. (Closes: #525411)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 24 Apr 2009 17:35:44 +0200

git-buildpackage (0.4.51) unstable; urgency=low

  * [74a0954] git-import-dsc: don't ignore --debian-branch on import into non
    empty archives
  * [abe7de4] store version without epoch and simplify version parsing
  * [8d2c6bd] add get_arch returns dpkg's notion of the architecture
  * [e4db34b] add postbuild hook can be used to e.g. run lintian.
    (Closes: #521358)
  * [829db7c] pass GBP_BUILD_DIR to the build command this allows hooks
    to figure out where to copy back the build result. Adjust the
    cowbuilder example accordingly.
  * [eaacadf] bump standards version
  * [d113a3b] let the version detection patter match debian policy
    (Closes: #522888)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 16 Apr 2009 11:47:27 +0200

git-buildpackage (0.4.50) unstable; urgency=low

  * [eceac16] be less strict on the spelling of boolean config file
    options any capitalization of 'true' or 'false' as well as '0' and
    '1' are allowed. (Closes: #517376)

