## git-buildpackage 0.4.58jolicloud1

=== debian/changelog ===
git-buildpackage (0.4.58jolicloud1) robby-test; urgency=low

  * Added another git-merge layer after import between debian and master
  * Removed "ubuntu" tag and branch to simplify custom workflow
  * Attempt to correct for the previous release's tag name when building
    the changelog

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 05 Oct 2009 14:01:23 -0600

git-buildpackage (0.4.58) unstable; urgency=low

  * [78bcf5e] catch config file parse errors (Closes: #545690)
  * [8a9b813] docs: mention pristine-tar branch and pristine-tar
  * [260afa1] docs: add missing --git- prefix
  * [af4265e] git-dch: export GBP_BRANCH to postimport hook so we can pass the
    current branch to git-dch

 -- Guido Günther <agx@sigxcpu.org>  Mon, 05 Oct 2009 18:16:10 +0200

git-buildpackage (0.4.55jolicloud1) robby-test; urgency=low

  [ Adam McDaniel ]
  * New upstream release, 0.4.55

 -- Adam Mcdaniel <adam@jolicloud.org>  Tue, 15 Sep 2009 12:21:41 -0600

git-buildpackage (0.4.45jolicloud2) robby-test; urgency=low

  [ Adam McDaniel ]
  * Fixed minor git-buildpackage bug when building under jolicloud
    branch
  * Changed "git-dch -S" snapshots' naming conventions

 -- Adam Mcdaniel <adam@jolicloud.org>  Tue, 15 Sep 2009 11:44:14 -0600

git-buildpackage (0.4.45jolicloud1) robby-test; urgency=low

  * Changed the format of snapshot tags slightly
  * Created options for ubuntu and jolicloud tags and branches
  * added 'ubuntu' and 'jolicloud' params to importing scripts
  * Removed temporary gbp_version.py file from repo

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 14 Sep 2009 23:07:39 +0200
